package module

import "time"

const (
	ProbeHeader_ProbeKey            = "overFlow-Probe-Key"
	ProbeHeader_Probe_EncryptionKey = "overFlow-Probe-EncryptionKey"
)

const (
	ProbeService_Started = "ProbeService.started"
	ProbeService_Stopped = "ProbeService.stopped"
	ProbeService_Update  = "ProbeService.update"
)

type Probe struct {
	ID           uint64    `json:"id"`
	Description  string    `json:"description"`
	TempProbeKey string    `json:"tempProbeKey"`
	CreateDate   time.Time `json:"createDate"`
	ProbeKey     string    `json:"probeKey"`
}
